if node['drone'].nil? || node['drone']['agent'].nil?
  return
end

node['drone']['agent'].each do |name, options|

  service "drone-agent@#{name}" do
    action :nothing
    supports [ :start, :stop, :reload, :restart, :status ]
    subscribes :create, "template[/etc/drone/agent-#{name}]", :immediate
  end

  template "/etc/drone/agent-#{name}" do
    source "agent.erb"
    mode 0640
    owner node['drone']['user']
#    variables(options: options)
  end

end
