if node['drone'].nil? || node['drone']['server'].nil?
  return
end

node['drone']['server'].each do |name, options|

  service "drone-server@#{name}" do
    action :nothing
    supports [ :start, :stop, :reload, :restart, :status ]
    subscribes :create, 'template[/etc/drone/server-#{name}]', :immediate
  end

  template "/etc/drone/server-#{name}" do
    source "server.erb"
    mode 0640
    owner node['drone']['user']
#    variables ( :options => options )
  end

end

